declare
  eventDesc      varchar(128);
  eventId        numeric(16);
  counter       numeric(16);
  auditeventId        numeric(16);
begin
	eventId:=108;
     eventDesc := 'Event In Modified';

  select count(1) into counter from audit_event t where t.event_id = eventId;
  if ( counter = 0 ) then
    select audit_event_seq.nextval into auditeventId from dual;
    insert into audit_event ( id, event_id, event_desc, language, creation_date, last_mod_time)
    values ( auditeventId, eventId, eventDesc, 'en', sysdate, sysdate );
  end if;

end;
/


declare
  eventDesc      varchar(128);
  eventId        numeric(16);
  counter       numeric(16);
  auditeventId        numeric(16);
begin
	eventId:=109;
     eventDesc := 'Event Internal Modified';

  select count(1) into counter from audit_event t where t.event_id = eventId;
  if ( counter = 0 ) then
    select audit_event_seq.nextval into auditeventId from dual;
    insert into audit_event ( id, event_id, event_desc, language, creation_date, last_mod_time)
    values ( auditeventId, eventId, eventDesc, 'en', sysdate, sysdate );
  end if;

end;
/



declare
  eventDesc      varchar(128);
  eventId        numeric(16);
  counter       numeric(16);
  auditeventId        numeric(16);
begin
	eventId:=110;
     eventDesc := 'Event Out Modified';

  select count(1) into counter from audit_event t where t.event_id = eventId;
  if ( counter = 0 ) then
    select audit_event_seq.nextval into auditeventId from dual;
    insert into audit_event ( id, event_id, event_desc, language, creation_date, last_mod_time)
    values ( auditeventId, eventId, eventDesc, 'en', sysdate, sysdate );
  end if;

end;
/



declare
  eventDesc      varchar(128);
  eventId        numeric(16);
  counter       numeric(16);
  auditeventId        numeric(16);
begin
	eventId:=111;
     eventDesc := 'Event Target Modified';

  select count(1) into counter from audit_event t where t.event_id = eventId;
  if ( counter = 0 ) then
    select audit_event_seq.nextval into auditeventId from dual;
    insert into audit_event ( id, event_id, event_desc, language, creation_date, last_mod_time)
    values ( auditeventId, eventId, eventDesc, 'en', sysdate, sysdate );
  end if;

end;
/

