declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE TEMPLATE_ENTITY
    ADD PWDMANAGEMENT NUMERIC(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE TEMPLATE_ENTITY ADD
   CONSTRAINT TEMPLATE_ENTITY_PWDM_FK
   FOREIGN KEY (PWDMANAGEMENT)
   REFERENCES PWDMANAGEMENT (ID)
   ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE TEMPLATE_ENTITY' );
