declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD LOOKUP_TYPE NUMBER(1)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD LOOKUP_REF VARCHAR2(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD AUTO_UPDATE NUMBER(1)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN ATTR_PERMISSION_MAPPING.LOOKUP_TYPE IS
'1: TARGET STATIC VALUE 2: TARGET DYNAMIC VALUE';