declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX OU_HIERARCHY_LMODTIME_IDX ON ORGANIZATIONAL_UNIT 
  (HIERARCHY, LAST_MOD_TIME)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/