declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD LOOKUP_TYPE NUMERIC(1)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD LOOKUP_REF VARCHAR(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ATTR_PERMISSION_MAPPING
    ADD AUTO_UPDATE NUMERIC(1)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN ATTR_PERMISSION_MAPPING.LOOKUP_TYPE IS
'1: TARGET STATIC VALUE 2: TARGET DYNAMIC VALUE';

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE ATTR_PERMISSION_MAPPING' );
