declare
  per_prof_id     numeric(16);

  counter         numeric(16);
  cur_pp          sys_refcursor;

begin

  counter := 0;

  open cur_pp for
  select per_prof.id from person_profile per_prof, entitlement e, application app, target tar, pwdcfg p 
    where per_prof.profile=e.id and e.application = app.id and app.target = tar.id and tar.pwdcfg = p.id and p.sync = 1; 
    loop
    fetch cur_pp into per_prof_id;
    exit when cur_pp%NOTFOUND;
	counter := counter + 1;
	delete from person_profile pp where id = per_prof_id;
	if(counter > 1000) then
	  commit;
	  counter := 0;
	end if;
  end loop;
  close cur_pp;

end;
/