CREATE OR REPLACE TRIGGER TRG_EVENT_OUT_PROC_DATE  
  BEFORE UPDATE ON EVENT_OUT 
	 FOR EACH ROW
	 BEGIN
   IF (updating) THEN 
    IF ( :NEW.state <> :OLD.state) THEN
		IF (:NEW.state<>0) 	
			THEN :NEW.date_process := sysdate;
      END IF;
    END IF;
   END IF;
END TRG_EVENT_OUT_PROC_DATE;
/


CREATE OR REPLACE TRIGGER TRG_EVENT_IN_PROC_DATE  
  BEFORE UPDATE ON EVENT_IN 
	 FOR EACH ROW
	 BEGIN
   IF (updating) THEN 
    IF ( :NEW.state <> :OLD.state) THEN
      IF (:NEW.state<>0) 	
			THEN :NEW.date_process := sysdate;
      END IF;
    END IF;
   END IF;
END TRG_EVENT_IN_PROCESS_DATE;
/


CREATE OR REPLACE TRIGGER TRG_EVENT_INTERNAL_PROC_DATE  
  BEFORE UPDATE ON EVENT_INTERNAL
	 FOR EACH ROW
	 BEGIN
   IF (updating) THEN 
    IF ( :NEW.state <> :OLD.state) THEN
      IF (:NEW.state<>0) 	
			THEN :NEW.date_process := sysdate;
      END IF;
    END IF;
   END IF;
END TRG_EVENT_INTERNAL_PROC_DATE;
/

CREATE OR REPLACE TRIGGER TRG_EVENT_TARGET_PROC_DATE  
  BEFORE UPDATE ON EVENT_TARGET
	 FOR EACH ROW
	 BEGIN
   IF (updating) THEN 
    IF ( :NEW.state <> :OLD.state) THEN
      IF (:NEW.state<>0) 	
			THEN :NEW.date_process := sysdate;
      END IF;
    END IF;
   END IF;
END TRG_EVENT_TARGET_PROC_DATE;
/
