declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX TMP_RPD2_ENT_ASSIGN_IDX ON TMP_RPD2_JOIN
  (ENTITY, ASSIGNMENT) 
  REVERSE
  COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/