declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object
 
begin
  stat := '
  CREATE INDEX IB_X_RUAU_EXTERNAL_ID ON IB_RE_USER_ATTRS
  (USER_EXTERNAL_ID)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/